#version 430 core

out vec4 FragColor;
in vec2 TexCoords;
in vec4 Color;

uniform sampler2D tex;
uniform bool useTexture;

void main()
{
    vec4 outCol = Color;
    vec4 myTex = texture(tex, TexCoords);
    if(useTexture)
      if(textureSize(tex, 0).x > 0)
        outCol = myTex;

    FragColor = outCol;
}
