#version 430 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec4 color;
layout (location = 2) in vec2 uv;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;

out vec2 TexCoords;
out vec4 Color;

void main()
{
    TexCoords = uv;
    Color = color;
    gl_Position = projectionMatrix * modelMatrix * vec4(position, 1.0);
}
