#version 430 core
layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;
layout(location = 3) in vec3 tangent;
layout(location = 4) in vec3 bitangent;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat3 normalMatrix;

out vec2 TexCoords;
out vec3 normal_world;
out vec3 FragPos;
out vec3 ViewPos;
void main()
{
    TexCoords = uv;
    normal_world = normalMatrix * normal;
    vec4 FragPos_ = modelMatrix * vec4(position, 1.0);
    FragPos = FragPos_.xyz;
    ViewPos = vec3(0, 0, -10);
    gl_Position = projectionMatrix * FragPos_;
}
